Package net.commoble.exmachina.internal.power

# Class CircuitBuilder

java.lang.Object
net.commoble.exmachina.internal.power.CircuitBuilder

@Internal public final class CircuitBuilder extends Object
circuit builder

## Method Summary

Modifier and Type
Method
Description
`static Circuit`
`attemptToBuildCircuitFrom(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)`
Returns Circuit at the worldposition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### attemptToBuildCircuitFrom

public static Circuit attemptToBuildCircuitFrom(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)
Returns Circuit at the worldposition.

Parameters:
  `level` - ServerLevel to build the circuit in
  `pos` - BlockPos to build the circuit at
Returns:
  Circuit at the worldposition